{ config, lib, pkgs, ... }:
let
  defaultUsername = "yoda";
in
{
  options.yoda.user = lib.mkOption {
    # You can find the exhaustive list of types here: https://nlewo.github.io/nixos-manual-sphinx/development/option-types.xml.html
    type = lib.types.str;
    default = defaultUsername;
    description = "Username of the primary Linux user account. Must not include regex special characters.";
  };

  config = {
    yoda.user = defaultUsername;
  };
}
